Subject: Re: bug#18674: Bug#762435: emacs24: Warning message from GLib-GObject

From: Jan Djärv <[email-masked]>
Date: Sun, 19 Oct 2014 18:33:01 +0200

Hello.

This is fixed in trunk.  We have one deprecated call left,
gtk_widget_set_double_buffered.

We can't get rid of that without adding Gtk rendering (i.e. Cairo) and only 
rendering in callbacks, that is on expose events.  This is a major job.

	Jan D.

Den 2014-10-12 06:34, Stefan Monnier skrev:
>> Every Gtk release deprecates a lot of stuff, those guys can never seem to
>> decide on anything.
>
> To be fair, we do kind of the same [ Not sure how we compare in terms of
> number of years between declaring something obsolete and actually
> removing it, tho.  ]
>
> At least for things we deprecate, I don't expect everyone to immediately
> start using the new functionality, because many Elisp packages want to
> provide compatibility with older releases, so I think it's OK for Emacs
> to use deprecated Emacs interfaces as long as they've been
> deprecated recently.
>
> But we should update the code to use the new replacement "as soon as
> possible" within the limits of our manpower and the added complexity of
> potentially having to support both the old and the new functionality at
> the same time (via configure tests, typically).
>
>> I don't know if these should be fixed in emacs-24 or not.
>
> No, much too late for that.
>
>> Emacs 24 probably won't compile on Gnome 4, but chances are we have a bugfix
>> release out before Gnome 4, or even 25.1.
>
> If/when this is a problem, we can indeed release a bug-fix for it.
>
>
>          Stefan
>